cordova.define("cordova-plugin-bluetooth-printer.BluetoothPrinter", function(require, exports, module) {
var exec = require('cordova/exec');

var BTPrinter = {
    list: function (fnSuccess, fnError) {
        exec(fnSuccess, fnError, "BluetoothPrinter", "list", []);
    },
    connect: function (fnSuccess, fnError, name) {
        exec(fnSuccess, fnError, "BluetoothPrinter", "connect", [name]);
    },
    disconnect: function (fnSuccess, fnError) {
        exec(fnSuccess, fnError, "BluetoothPrinter", "disconnect", []);
    },
    print: function (fnSuccess, fnError, str) {
        exec(fnSuccess, fnError, "BluetoothPrinter", "print", [str]);
    },
    printText: function (fnSuccess, fnError, str) {
        exec(fnSuccess, fnError, "BluetoothPrinter", "printText", [str]);
    },
    printImage: function (fnSuccess, fnError, str) {
        exec(fnSuccess, fnError, "BluetoothPrinter", "printImage", [str]);
    },
    printPOSCommand: function (fnSuccess, fnError, str) {
        exec(fnSuccess, fnError, "BluetoothPrinter", "printPOSCommand", [str]);
    },
    /**
     * 设置字体的对齐方式
     * @param fnSuccess 成功回调
     * @param fnError 失败回调
     * @param str 0：左对齐，1：居中，2：右对齐
     */
    setPrintAlign: function (fnSuccess, fnError, str) {
        exec(fnSuccess, fnError, "BluetoothPrinter", "setPrintAlign", [str]);
    },
    /**
     * 切纸
     * @param funSuccess 成功回调
     * @param fnError 失败回调
     */
    cutPaper: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "cutPaper");
    },
    /**
     * 设置行间距，默认30，30是字体高度加上间隔 的值，要设置 0 间隔行间距设置成字体高度即可，字体默认24x24 大小
     * @param funSuccess 成功回调
     * @param fnError 失败回调
     * @param str 行间距大小
     */
    setLineHeight: function (funSuccess, fnError, str) {
        exec(funSuccess, fnError, "BluetoothPrinter", "setLineHeight", [str]);
    },
    /**
     * 设置字体放大
     * @param funSuccess 成功回调
     * @param fnError 失败回调
     * @param str 设置字体放大
     */
    doubleFontSize: function (funSuccess, fnError, str) {
        exec(funSuccess, fnError, "BluetoothPrinter", "doubleFontSize", [str]);
    },
    /*
    *
    * 走纸
    * */
    nextPage: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "nextPage");
    },
    getVersion: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "getVersion");
    },
    /**
     * 初始化
     */
    resetIndex: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "resetIndex");
    },
    /**
     * 设置纸张大小
     */
    setPageHeight: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "setPageHeight");
    },
    
    setThreePageHeight: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "setThreePageHeight");
    },
    
    setOnePageHeight: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "setOnePageHeight");
    },
    
     /**
      * 设置单位
      */
    setUnit: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "setUnit");
    },
    /**
     * 设置字体
     */
    onSetFontSize: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "onSetFontSize");
    },
    onSetFontSizeTwo: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "onSetFontSizeTwo");
    },
    offSetFontSize: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "offSetFontSize");
    },
    onSetFontSizeZhen: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "onSetFontSizeZhen");
    },
    offSetFontSizeZhen: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "offSetFontSizeZhen");
    },
    /**
     * 切换成页面打印模式
     */
    pageModel: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "pageModel");
    },
    /**
     * 设置打印区域
     */
    printGroup: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "printGroup");
    },

    printGroupTwo: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "printGroupTwo");
    },
    
    printGroupThree: function (funSuccess, fnError) {
        exec(funSuccess, fnError, "BluetoothPrinter", "printGroupThree");
    },
    /**
     * 打印方向
     */
    printFlog: function (funSuccess, fnError) {
    exec(funSuccess, fnError, "BluetoothPrinter", "printFlog");
    },
    /**
     * 设置x轴
     */

    setCodeX: function (funSuccess, fnError ) {
        exec(funSuccess, fnError, "BluetoothPrinter", "setCodeX");
    },
    setCodeXTwo: function (funSuccess, fnError ) {
        exec(funSuccess, fnError, "BluetoothPrinter", "setCodeXTwo");
    },
    setCodeXThree: function (funSuccess, fnError ) {
        exec(funSuccess, fnError, "BluetoothPrinter", "setCodeXThree");
    },
    /**
     * 设置y轴1
     */

    setCodeYOne: function (funSuccess, fnError ) {
        exec(funSuccess, fnError, "BluetoothPrinter", "setCodeYOne");
    },/**
     * 设置y轴2
     */

    setCodeYTwo: function (funSuccess, fnError ,str) {
        exec(funSuccess, fnError, "BluetoothPrinter", "setCodeYTwo");
    },

    toBig: function (funSuccess, fnError ) {
        exec(funSuccess, fnError, "BluetoothPrinter", "toBig");
    },

    toSmall: function (funSuccess, fnError ) {
        exec(funSuccess, fnError, "BluetoothPrinter", "toSmall");
    },
    
    onSetWFontSize: function (funSuccess, fnError, str) {
        exec(funSuccess, fnError, "BluetoothPrinter", "onSetWFontSize", [str]);
    },
    
    fontleft:function (funSuccess, fnError ) {
        exec(funSuccess, fnError, "BluetoothPrinter", "fontleft");
    },
    
    setQrcodeType:function(funSuccess, fnError){
    	exec(funSuccess, fnError, "BluetoothPrinter", "setQrcodeType");
    }
};

module.exports = BTPrinter;

});
